Ask Your Question

Mikebarson's profile - activity

2017-02-17 10:27:34 -0600 received badge  Famous Question (source)
2017-02-17 10:27:34 -0600 received badge  Notable Question (source)
2017-02-17 10:27:34 -0600 received badge  Popular Question (source)
2017-02-17 10:27:16 -0600 received badge  Famous Question (source)
2016-12-13 10:41:08 -0600 received badge  Notable Question (source)
2016-12-13 10:41:08 -0600 received badge  Popular Question (source)
2016-11-20 09:31:33 -0600 asked a question Cannot import SimpleCV

I'm using a Mac. I've followed the instructions to installing SimpleCV but I had to skip installing Xcode as it was not available in my current OS version. After installing SimpleCV I tried importing it in the terminal but then I encountered this error:

File "<stdin>", line 1, in <module> File "/Users/myname/.virtualenvs/cv/lib/python2.7/site-packages/SimpleCV-1.3-py2.7.egg/SimpleCV/init.py", line 3, in <module> from SimpleCV.base import * File "/Users/myname/.virtualenvs/cv/lib/python2.7/site-packages/SimpleCV-1.3-py2.7.egg/SimpleCV/base.py", line 59, in <module> raise ImportError("Cannot load OpenCV library which is required by SimpleCV") ImportError: Cannot load OpenCV library which is required by SimpleCV

I've read a post of having a similar problem but it was 2 years ago. Is there a work around or a solution for this now? Any help would be great! Thanks.

2016-11-20 09:31:32 -0600 asked a question Cannot import SimpleCV

I'm working on a mac. I've installed the SimpleCV following the README.md file instructions for the mac. However I skipped XCODE instructions because my current OS version cannot download XCode. I did follow the rest of the instructions. On running Python I import OpenCV first like so:

> import cv2 >

Then imported SimpleCV like so:

> import SimpleCV >

However I'm getting this error:

Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/local/lib/python2.7/site-packages/SimpleCV-1.3-py2.7.egg/SimpleCV/init.py", line 3, in <module> from SimpleCV.base import * File "/usr/local/lib/python2.7/site-packages/SimpleCV-1.3-py2.7.egg/SimpleCV/base.py", line 59, in <module> raise ImportError("Cannot load OpenCV library which is required by SimpleCV") ImportError: Cannot load OpenCV library which is required by SimpleCV

I've a read a 2014 post of almost the same problem. The comment there was that simpleCV was only compatible with OpenCV 2.4.2. However, my current OpenCV is 3.1.0. I was wondering if there is now a fix around to this. Thanks!